complete -c laze -n "__fish_use_subcommand" -s C -l chdir -d 'change working directory before doing anything else' -r -f -a "(__fish_complete_directories)"
complete -c laze -n "__fish_use_subcommand" -s g -l global -d 'global mode'
complete -c laze -n "__fish_use_subcommand" -s h -l help -d 'Print help information'
complete -c laze -n "__fish_use_subcommand" -s V -l version -d 'Print version information'
complete -c laze -n "__fish_use_subcommand" -f -a "build" -d 'generate build files and build'
complete -c laze -n "__fish_use_subcommand" -f -a "task" -d 'run builder specific task'
complete -c laze -n "__fish_use_subcommand" -f -a "clean" -d 'clean current configuration'
complete -c laze -n "__fish_use_subcommand" -f -a "completion" -d 'Generate laze shell completions.'
complete -c laze -n "__fish_use_subcommand" -f -a "manpages" -d 'Generate laze manpages.'
complete -c laze -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c laze -n "__fish_seen_subcommand_from build" -s B -l build-dir -d 'specify build dir (relative to project root)' -r -f -a "(__fish_complete_directories)"
complete -c laze -n "__fish_seen_subcommand_from build" -s j -l jobs -d 'how many compile jobs to run in parallel' -r
complete -c laze -n "__fish_seen_subcommand_from build" -s b -l builders -d 'builders to configure' -r
complete -c laze -n "__fish_seen_subcommand_from build" -s a -l apps -d 'apps to configure' -r
complete -c laze -n "__fish_seen_subcommand_from build" -s s -l select -d 'extra modules to select/enable' -r
complete -c laze -n "__fish_seen_subcommand_from build" -s d -l disable -d 'disable modules' -r
complete -c laze -n "__fish_seen_subcommand_from build" -s D -l define -d 'set/override variable' -r
complete -c laze -n "__fish_seen_subcommand_from build" -s P -l partition -d 'build only M/N subset (try "count:1/2")' -r
complete -c laze -n "__fish_seen_subcommand_from build" -s C -l chdir -d 'change working directory before doing anything else' -r -f -a "(__fish_complete_directories)"
complete -c laze -n "__fish_seen_subcommand_from build" -s v -l verbose -d 'be verbose (e.g., show command lines)'
complete -c laze -n "__fish_seen_subcommand_from build" -s G -l generate-only -d 'generate build files only, don\'t start build'
complete -c laze -n "__fish_seen_subcommand_from build" -s c -l compile-commands -d 'generate compile_commands.json in project root'
complete -c laze -n "__fish_seen_subcommand_from build" -s g -l global -d 'global mode'
complete -c laze -n "__fish_seen_subcommand_from build" -s h -l help -d 'Print help information'
complete -c laze -n "__fish_seen_subcommand_from task" -s B -l build-dir -d 'specify build dir (relative to project root)' -r -f -a "(__fish_complete_directories)"
complete -c laze -n "__fish_seen_subcommand_from task" -s j -l jobs -d 'how many compile jobs to run in parallel' -r
complete -c laze -n "__fish_seen_subcommand_from task" -s b -l builder -d 'builder to run task for' -r
complete -c laze -n "__fish_seen_subcommand_from task" -s a -l app -d 'application target to run task for' -r
complete -c laze -n "__fish_seen_subcommand_from task" -s s -l select -d 'extra modules to select/enable' -r
complete -c laze -n "__fish_seen_subcommand_from task" -s d -l disable -d 'disable modules' -r
complete -c laze -n "__fish_seen_subcommand_from task" -s D -l define -d 'set/override variable' -r
complete -c laze -n "__fish_seen_subcommand_from task" -s C -l chdir -d 'change working directory before doing anything else' -r -f -a "(__fish_complete_directories)"
complete -c laze -n "__fish_seen_subcommand_from task" -s v -l verbose -d 'be verbose (e.g., show command lines)'
complete -c laze -n "__fish_seen_subcommand_from task" -s g -l global -d 'global mode'
complete -c laze -n "__fish_seen_subcommand_from task" -s h -l help -d 'Print help information'
complete -c laze -n "__fish_seen_subcommand_from clean" -s B -l build-dir -d 'specify build dir (relative to project root)' -r -f -a "(__fish_complete_directories)"
complete -c laze -n "__fish_seen_subcommand_from clean" -s C -l chdir -d 'change working directory before doing anything else' -r -f -a "(__fish_complete_directories)"
complete -c laze -n "__fish_seen_subcommand_from clean" -s v -l verbose -d 'be verbose (e.g., show command lines)'
complete -c laze -n "__fish_seen_subcommand_from clean" -s u -l unused -d 'clean built files that are not produced by the current configuration'
complete -c laze -n "__fish_seen_subcommand_from clean" -s g -l global -d 'global mode'
complete -c laze -n "__fish_seen_subcommand_from clean" -s h -l help -d 'Print help information'
complete -c laze -n "__fish_seen_subcommand_from completion" -l generate -d 'shell to generate completions for' -r -f -a "{bash	,elvish	,fish	,powershell	,zsh	}"
complete -c laze -n "__fish_seen_subcommand_from completion" -s C -l chdir -d 'change working directory before doing anything else' -r -f -a "(__fish_complete_directories)"
complete -c laze -n "__fish_seen_subcommand_from completion" -s g -l global -d 'global mode'
complete -c laze -n "__fish_seen_subcommand_from completion" -s h -l help -d 'Print help information'
complete -c laze -n "__fish_seen_subcommand_from manpages" -s C -l chdir -d 'change working directory before doing anything else' -r -f -a "(__fish_complete_directories)"
complete -c laze -n "__fish_seen_subcommand_from manpages" -s g -l global -d 'global mode'
complete -c laze -n "__fish_seen_subcommand_from manpages" -s h -l help -d 'Print help information'
complete -c laze -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from manpages; and not __fish_seen_subcommand_from help" -f -a "build" -d 'generate build files and build'
complete -c laze -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from manpages; and not __fish_seen_subcommand_from help" -f -a "task" -d 'run builder specific task'
complete -c laze -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from manpages; and not __fish_seen_subcommand_from help" -f -a "clean" -d 'clean current configuration'
complete -c laze -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from manpages; and not __fish_seen_subcommand_from help" -f -a "completion" -d 'Generate laze shell completions.'
complete -c laze -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from manpages; and not __fish_seen_subcommand_from help" -f -a "manpages" -d 'Generate laze manpages.'
complete -c laze -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from task; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from manpages; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
